curl --request GET \
--url https://api.gcore.com/billing/org/v1/plans/contents \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/plans/contents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/plans/contents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/billing/org/v1/plans/contents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/billing/org/v1/plans/contents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/billing/org/v1/plans/contents")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/billing/org/v1/plans/contents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": 123,
"plan_id": 123,
"default": true,
"feature": {
"id": 123,
"name": "<string>",
"erp_sku_id": "<string>"
},
"metric_ext_name": "<string>",
"regions": [
{
"id": 123,
"name": "<string>",
"external_name": "<string>",
"internal_name": "<string>"
}
],
"product_category": {
"id": 123,
"name": "<string>"
},
"product": {
"id": 123,
"name": "<string>",
"internal_name": "<string>"
},
"calc_rule_type": "commit",
"unit": {
"id": 2,
"name": "<string>",
"internal_name": "<string>"
},
"unit_size": "<string>",
"price": {
"currency": {
"id": 123,
"char_code": "<string>",
"symbol": "<string>"
},
"money_value": "<string>",
"price_stages": [
{
"money_value": "<string>",
"threshold": "<string>"
}
]
},
"default_value": "<string>",
"rounding_rule": {
"unit": {
"id": 2,
"name": "<string>",
"internal_name": "<string>"
},
"value": "<string>",
"round_operation": "ceil"
},
"comment": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}List PlanItems
Retrieve a list of PlanItem objects.
You can use query parameters to filter, sort, and paginate the results.
You can set the money_decimals query parameter to specify the number of decimal places for money fields.
Examples:
?money_decimals=2will return money values rounded to 2 decimal places.?money_decimals=maxwill return money values with the maximum precision.
curl --request GET \
--url https://api.gcore.com/billing/org/v1/plans/contents \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/billing/org/v1/plans/contents"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/billing/org/v1/plans/contents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/billing/org/v1/plans/contents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/billing/org/v1/plans/contents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/billing/org/v1/plans/contents")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/billing/org/v1/plans/contents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 123,
"results": [
{
"id": 123,
"plan_id": 123,
"default": true,
"feature": {
"id": 123,
"name": "<string>",
"erp_sku_id": "<string>"
},
"metric_ext_name": "<string>",
"regions": [
{
"id": 123,
"name": "<string>",
"external_name": "<string>",
"internal_name": "<string>"
}
],
"product_category": {
"id": 123,
"name": "<string>"
},
"product": {
"id": 123,
"name": "<string>",
"internal_name": "<string>"
},
"calc_rule_type": "commit",
"unit": {
"id": 2,
"name": "<string>",
"internal_name": "<string>"
},
"unit_size": "<string>",
"price": {
"currency": {
"id": 123,
"char_code": "<string>",
"symbol": "<string>"
},
"money_value": "<string>",
"price_stages": [
{
"money_value": "<string>",
"threshold": "<string>"
}
]
},
"default_value": "<string>",
"rounding_rule": {
"unit": {
"id": 2,
"name": "<string>",
"internal_name": "<string>"
},
"value": "<string>",
"round_operation": "ceil"
},
"comment": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Authorizations
Query Parameters
Ordering of the results.
For ascending sort order use field.asc, for descending sort order use field.desc.
For sorting by multiple parameters write them as comma separated string: client_id.asc,id.desc.
Final stable tiebreak ordering is added except when pk sorting used.
id.asc- Idid.desc- Id (descending)currency_id.asc- Currency idcurrency_id.desc- Currency id (descending)calc_rule_type.asc- Calc rule typecalc_rule_type.desc- Calc rule type (descending)feature_name.asc- Feature namefeature_name.desc- Feature name (descending)product_name.asc- Product nameproduct_name.desc- Product name (descending)product_id.asc- Product idproduct_id.desc- Product id (descending)plan_id.asc- Plan idplan_id.desc- Plan id (descending)default.asc- Defaultdefault.desc- Default (descending)
calc_rule_type.asc, calc_rule_type.desc, currency_id.asc, currency_id.desc, default.asc, default.desc, feature_name.asc, feature_name.desc, id.asc, id.desc, plan_id.asc, plan_id.desc, product_id.asc, product_id.desc, product_name.asc, product_name.desc Ordering of the results.
This field is left for compatibility and can be deprecated in future versions. Use order_by instead.
Default sort order is ascending. Put - before value for descending sort order: -id.
For sorting by multiple parameters write them as comma separated string: -client_id,id.
Final stable tiebreak ordering is added except when pk sorting used.
id- Id-id- Id (descending)currency_id- Currency id-currency_id- Currency id (descending)calc_rule_type- Calc rule type-calc_rule_type- Calc rule type (descending)feature_name- Feature name-feature_name- Feature name (descending)product_name- Product name-product_name- Product name (descending)product_id- Product id-product_id- Product id (descending)plan_id- Plan id-plan_id- Plan id (descending)default- Default-default- Default (descending)
-calc_rule_type, -currency_id, -default, -feature_name, -id, -plan_id, -product_id, -product_name, calc_rule_type, currency_id, default, feature_name, id, plan_id, product_id, product_name Filter by product ID. Can be multiple.
Returns products with the specified ID.
Examples:
&product_id=1&product_id=1&product_id=2
Available values:
1- CDN2- Object Storage3- Web Security4- Streaming5- Cloud6- Colocation Services7- WG Private Cloud8- p2p9- DDoS Protection10- Managed DNS11- Other Services12- Premium Support13- Connectivity14- Hosting (G-Hosting)15- Managed Services16- Rent17- Software development18- VM Ware19- LaaS20- AWS Cloud21- FastEdge22- Technical Support23- WAAP25- Edge Proxy32- AI Managed Dedicated Compute65- Gclaw
Filter by product internal name. Can be multiple.
Returns products with the specified internal name.
Examples:
&product_internal_name=CDN&product_internal_name=CDN&product_internal_name=DNS
Available values:
AI_DEDCOMP- AI Managed Dedicated ComputeAWS_CLOUD- AWS CloudCDN- CDNCLOUD- CloudCONNECT- Colocation ServicesCONNECTIVITY- ConnectivityDDOS- Web SecurityDNS- Managed DNSFAST_EDGE- FastEdgeGCLAW- GclawGHOST- Hosting (G-Hosting)INFRASTRUCTURE_PROTECTION- DDoS ProtectionLAAS- LaaSMANAGED_SERVICES- Managed ServicesOTHER_SERVICES- Other ServicesP2P- p2pPREMIUM_SUPPORT- Premium SupportRENT- RentSHIELD_PROXY- Edge ProxySOFTWARE_DEVELOPMENT- Software developmentSTORAGE- Object StorageSTREAMING- StreamingTECHNICAL_SUPPORT- Technical SupportVMWARE- VM WareWAAP- WAAPWG_PRIVATE_CLOUD- WG Private Cloud
Was this page helpful?